## EvImage

EvImage

## Synopsis

                        EvImage;
                        EvImageClass;
                        EvImagePrivate;
    EvImage *           ev_image_new                        (gint page,
                                                             gint img_id);
    EvImage *           ev_image_new_from_pixbuf            (GdkPixbuf *pixbuf);
    gint                ev_image_get_id                     (EvImage *image);
    gint                ev_image_get_page                   (EvImage *image);
    GdkPixbuf *         ev_image_get_pixbuf                 (EvImage *image);
    const gchar *       ev_image_save_tmp                   (EvImage *image,
                                                             GdkPixbuf *pixbuf);
    const gchar *       ev_image_get_tmp_uri                (EvImage *image);

## Object Hierarchy

      GObject
       +----EvImage

## Description

## Details

### EvImage

    typedef struct _EvImage EvImage;

### EvImageClass

    typedef struct {
    	GObjectClass base_class;
    } EvImageClass;

### EvImagePrivate

    typedef struct _EvImagePrivate EvImagePrivate;

### ev_image_new ()

    EvImage *           ev_image_new                        (gint page,
                                                             gint img_id);

`page` : |
`img_id` : |
Returns : |

### ev_image_new_from_pixbuf ()

    EvImage *           ev_image_new_from_pixbuf            (GdkPixbuf *pixbuf);

`pixbuf` : |
Returns : |

### ev_image_get_id ()

    gint                ev_image_get_id                     (EvImage *image);

`image` : |
Returns : |

### ev_image_get_page ()

    gint                ev_image_get_page                   (EvImage *image);

`image` : |
Returns : |

### ev_image_get_pixbuf ()

    GdkPixbuf *         ev_image_get_pixbuf                 (EvImage *image);

`image` : |
Returns : |

### ev_image_save_tmp ()

    const gchar *       ev_image_save_tmp                   (EvImage *image,
                                                             GdkPixbuf *pixbuf);

`image` : |
`pixbuf` : |
Returns : |

### ev_image_get_tmp_uri ()

    const gchar *       ev_image_get_tmp_uri                (EvImage *image);

`image` : |
Returns : |